Bug 121071 - up2date doesn't fall back to other mirrors if one fails
up2date doesn't fall back to other mirrors if one fails
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
: 132373 (view as bug list)
Depends On:
Blocks: fedora-ppc 124619
  Show dependency treegraph
 
Reported: 2004-04-16 16:26 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:34:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-04-16 16:26:35 EDT
Description of problem:

On a PPC machine, up2date has this in its sources file:

yum-mirror fedora-core-rawhide 
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide

Sometimes an incomplete mirror mirror.hiwaay.net is selected, which
does not carry PPC RPMS. If this happens, up2date fails. Instead,
up2date should fall back to another mirror.
Comment 1 Andrew D. Stadler 2004-09-06 17:15:27 EDT
Twice now, up2date has selected a mirror that cannot be contacted. 
For example, right now I'm sitting on
http://mirror.eas.muohio.edu/fedora/linux/...
and it's not coming up.  It should have an option to try a different
mirror.  (the workaround, to completely quit and restart up2date,
seems to work fine)

Also, if I enter http://mirror.eas.muohio.edu/ into Mozilla, it
*immediately* says the host "could not be found".  Why does up2date
hang in the same scenario?
Comment 2 petrosyan 2004-10-16 11:17:47 EDT
*** Bug 132373 has been marked as a duplicate of this bug. ***
Comment 3 Matthew Miller 2005-04-26 11:18:08 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 John Thacker 2006-10-29 09:34:12 EST
Note that FC1 and FC2 are no longer supported even by Fedora Legacy, and FC3 and
FC4 are supported by Fedora Legacy only for security issues.  Please retest this
bug against a still supported version and retest.  If this still occurs on FC3
or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it occurs on RHEL, please change to that product
and the appropriate version.

Note that up2date has been replaced by pirut/pup for FC5 and FC6, the only
fully-supported versions of Fedora Core.  Please test pirut for software updates
and file bugs as appropriate.

Note You need to log in before you can comment on or make changes to this bug.